> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# TikTok Followers & Following

> Extract TikTok followers and following — full profile data — from TikTok profiles

`$0.9 / 1k followers`

Extract TikTok followers and following — full profile data — from TikTok profiles

## Endpoint

`POST /api/v1/agents/tiktok/followers/run`

## Parameters

<ParamField body="profiles" type="array" required>
  **List** · TikTok usernames to fetch follower / following lists for. One per line.
</ParamField>

<ParamField body="maxFollowersPerProfile" type="integer" default={50}>
  **Number** · Maximum number of followers you want to scrape per profile. Use 0 for all.
</ParamField>

<ParamField body="maxFollowingPerProfile" type="integer" default={50}>
  **Number** · Maximum number of following profiles you want to scrape per profile. Use 0 for all.
</ParamField>

## Response columns

| Field            | Display name    | Type    |
| ---------------- | --------------- | ------- |
| `sourceUsername` | Source Username | text    |
| `connectionType` | Connection Type | text    |
| `url`            | URL             | url     |
| `username`       | Username        | text    |
| `name`           | Name            | text    |
| `avatar`         | Avatar          | url     |
| `bio`            | Bio             | text    |
| `followers`      | Followers       | number  |
| `following`      | Following       | number  |
| `likes`          | Likes           | number  |
| `videos`         | Videos          | number  |
| `verified`       | Verified        | boolean |
| `private`        | Private         | boolean |
| `seller`         | Seller          | boolean |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/tiktok/followers/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "profiles": [
        "khaby.lame"
      ],
      "maxFollowersPerProfile": 50,
      "maxFollowingPerProfile": 50
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/tiktok/followers/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "profiles": [
          "khaby.lame"
      ],
      "maxFollowersPerProfile": 50,
      "maxFollowingPerProfile": 50
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "sourceUsername": "khaby.lame",
      "connectionType": "follower",
      "url": "https://www.tiktok.com/@taflomayenza0",
      "username": "taflomayenza0",
      "name": "mhukahuru",
      "avatar": "https://p16-common-sign.tiktokcdn.com/musically-maliva-obj/1594805258216454~tplv-tiktokx-cropcenter:720:720.jpeg?dr=14579&refresh_token=6f907470&x-expires=1778580000&x-signature=skqN8RwHwejp2KDJc4cMooHkPj4%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=81f88b70&idc=my",
      "bio": null,
      "followers": 47,
      "following": 334,
      "likes": 0,
      "videos": 0,
      "verified": false,
      "private": false,
      "seller": false
    }
  ]
}
```
